GWT 2.7.0

## com.google.gwt.core.ext
Class ServletContainer

    java.lang.Object
      com.google.gwt.core.ext.ServletContainer

    public abstract class ServletContainer

extends java.lang.Object

An instance of a servlet container that can be used by the shell. It is assumed that this servlet container serves a web app from the directory specified when this servlet container was created.

Constructor Summary
`ServletContainer()`

Method Summary
`java.lang.String` | `getHost()` Returns the host on which the servlet container is running.
`abstract int` | `getPort()` Returns the port on which the server is running.Used to construct a URL to reach the servlet container.
`abstract void` | `refresh()` Causes the web app to pick up changes made within the app root dir while running.
`abstract void` | `stop()` Stops the running servlet container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContainer

    public ServletContainer()

Method Detail

### getHost

    public java.lang.String getHost()

  Returns the host on which the servlet container is running. Defaults to "localhost". Used to construct a URL to reach the servlet container.

### getPort

    public abstract int getPort()

  Returns the port on which the server is running.Used to construct a URL to reach the servlet container.

### refresh

    public abstract void refresh()
                          throws UnableToCompleteException

  Causes the web app to pick up changes made within the app root dir while running. This method cannot be called after `stop()` has been called. TODO(bruce): need to determine whether all the important servlet containers will let us do this (e.g. ensure they don't lock files we would need to update)

  Throws:
    `UnableToCompleteException`

### stop

    public abstract void stop()
                       throws UnableToCompleteException

  Stops the running servlet container. It cannot be restarted after this.

  Throws:
    `UnableToCompleteException`

GWT 2.7.0